#
# spec file for package frox (Version 0.7.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_version acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm zlib

Name:         frox
Version:      0.7.4
Release:      71
Summary:      A transparent FTP proxy for linux
License:      GPL
Group:        Productivity/Networking/Ftp/Servers
Autoreqprov:  on
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq /bin/cp 
%endif
Source:       frox-%{version}.tar.bz2
Source1:      rc.frox
Source2:      sysconfig.syslog-frox
Patch:        frox-0.7.3.configuration.dif
Patch1:       frox-0.7.4-no-exit-on-socket-error.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
It will transparently proxy your ftp clients (duh). This means that any
clients you have that are behind the proxy will believe
that they are connecting to an ftp server as normal, but will actually
be connecting to frox. Frox will do the onward
connection to the remote server.

It can also be set up to do non-transparent proxying. In this case the
ftp client can connect directly to frox, but instead of
logging in with ``username'' should log in with
``username@ftp.wherever.org''.

On either of these sorts of connections it can do caching of files you
download, or converting of data connections from
active-->passive which can make firewalling rules a lot easier/safer.
There is also basic support for running a virus scanner
on downloaded files.

See http://frox.sourceforge.net/ for more information.

Authors:
--------
    James Hollingshead <frox at hollo.org>

%prep
%setup -n frox-%{version}
%patch -p1
%patch1 -p1

%build
./configure 	--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=%{_mandir} \
		--enable-warnings \
		--enable-http-cache \
		--enable-local-cache \
		--enable-virus-scan \
		--enable-configfile=/etc/frox.conf
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/var/lib/frox/etc
mkdir -p $RPM_BUILD_ROOT/var/lib/frox/dev
mkdir -p $RPM_BUILD_ROOT/var/lib/frox/%_lib
mkdir -p $RPM_BUILD_ROOT/var/lib/frox/var/run
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/%_mandir/man8
pushd doc; for i in *.man; do mv $i $RPM_BUILD_ROOT/%_mandir/man8/${i%.man}.8; done; popd
rm doc/*.sgml
install -m 744 $RPM_SOURCE_DIR/rc.frox $RPM_BUILD_ROOT/etc/init.d/frox
ln -s ../../etc/init.d/frox $RPM_BUILD_ROOT/usr/sbin/rcfrox
# don't install a conf file at all... just copy it in %post if not there
mv $RPM_BUILD_ROOT/etc/frox.conf .
install -m 744 $RPM_SOURCE_DIR/sysconfig.syslog-frox $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
%{fillup_and_insserv -f}
test -s etc/frox.conf || { 
	cp -p usr/share/doc/packages/frox/frox.conf etc/ &&
	echo installing default /etc/frox.conf from /usr/share/doc/packages/frox/frox.conf; 
}
%{fillup_only -ans syslog frox}

%files
%defattr(-,root,root)
%doc COPYING README BUGS doc/* frox.conf
%_mandir/man8/*
/usr/sbin/*
/etc/init.d/*
#%config (noreplace) /etc/frox.conf
%dir /var/lib/frox/etc
%dir /var/lib/frox/dev
%dir /var/lib/frox/%_lib
/var/adm/fillup-templates/sysconfig.syslog-frox

%changelog -n frox
* Fri Oct 10 2003 - poeml@suse.de
- security fix (as in 0.7.9): do not quit in main() upon non-fatal
  error, to avoid possible DoS attack [#30251]
* Mon Jun 30 2003 - poeml@suse.de
- remove the %%ghost filelist entries for the chroot jail contents,
  since it catches the attention of the patchrpm breakage tests.
  Clean up the libraries from the jail when the server is stopped.
* Thu Apr 17 2003 - poeml@suse.de
- fix unsafe usage of /var/tmp by the init script [cf. #25241]
* Wed Aug 07 2002 - poeml@suse.de
- add sysconfig.syslog-frox template and /var/lib/frox/dev for an
  additional syslog socket
- use PreReq tag
* Sun Jul 14 2002 - poeml@suse.de
- rc.frox INIT section: use X-UnitedLinux-Should-Start
* Mon Jun 10 2002 - poeml@suse.de
- update to 0.7.4:
- fixes producing 0 length file uploads in passive mode
- fixes  error messages about bad file descriptor by early return
  on fd close.
* Wed May 22 2002 - poeml@suse.de
- new package: transparent FTP proxy
